

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Welcome to NetExt1’s documentation! &mdash; NetExt1 1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Network network_extensions.igraphx" href="igraphx.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="#" class="icon icon-home"> NetExt1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a></li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">NetExt1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="#">Docs</a> &raquo;</li>
        
      <li>Welcome to NetExt1’s documentation!</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="welcome-to-netext1-s-documentation">
<h1>Welcome to NetExt1’s documentation!<a class="headerlink" href="#welcome-to-netext1-s-documentation" title="Permalink to this headline">¶</a></h1>
<p>NetExt1 is a package which aims at simplifying the handling of multilayer networks and networks which change over time.
The documentation is still quite rudimentary.</p>
<p>In the center are three packages:</p>
<ul class="simple">
<li><p><a class="reference internal" href="igraphx.html#module-network_extensions.igraphx" title="network_extensions.igraphx"><code class="xref py py-mod docutils literal notranslate"><span class="pre">network_extensions.igraphx</span></code></a>  extends the functionality of <a class="reference external" href="https://igraph.org/python/">https://igraph.org/python/</a>.</p></li>
<li><p><code class="xref py py-mod docutils literal notranslate"><span class="pre">network_extensions.multilayer</span></code> handles multilayer networks</p></li>
<li><p><code class="xref py py-mod docutils literal notranslate"><span class="pre">network_extensions.simulations</span></code> provides tools to compare dynamic networks with simulations of networks using Barabasis or Erdos-Renyi networks.</p></li>
</ul>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="igraphx.html">Network network_extensions.igraphx</a></li>
<li class="toctree-l1"><a class="reference internal" href="multilayer.html">Network network_extensions.multilayer</a></li>
<li class="toctree-l1"><a class="reference internal" href="simulations.html">Network igraphx_simulations.simulations</a></li>
<li class="toctree-l1"><a class="reference internal" href="semantic.html">Network network_extensions.semantic</a></li>
<li class="toctree-l1"><a class="reference internal" href="structure_simulations.html">Result structure of a simulation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="structure_simulations.html#graphproperties-structure">graphproperties structure:</a></li>
<li class="toctree-l2"><a class="reference internal" href="structure_simulations.html#simulations-simulate-largest-components-result-structure">simulations.simulate_largest_components result structure</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="graph_plotly.html">Helpers for plotly</a></li>
</ul>
</div>
</div>
<div class="section" id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="igraphx.html" class="btn btn-neutral float-right" title="Network network_extensions.igraphx" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Dirk Wintergrün

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>